GMP Functions
gmp_add
GMP Functions
PHP Manual

# gmp_abs

(PHP 4 >= 4.0.4, PHP 5, PHP 7)

gmp_abs — Absolute value

### Description

GMP gmp_abs ( GMP `$a` )

Get the absolute value of a number.

### Parameters

`a`

  Either a GMP number resource in PHP 5.5 and earlier, a GMP object in PHP 5.6 and later, or a numeric string provided that it is possible to convert the latter to a number.

### Return Values

Returns the absolute value of `a`, as a GMP number.

### Examples

Example #1 gmp_abs() example

`<?php
$abs1 = gmp_abs("274982683358");
$abs2 = gmp_abs("-274982683358");
echo gmp_strval($abs1) . "\n";
echo gmp_strval($abs2) . "\n";
?>`

The above example will output:

    274982683358
    274982683358

GMP Functions
gmp_add
GMP Functions
PHP Manual